Suggest the page template that suits a page's planned articles
POST
/cms/print/v2/ai/template
const url = 'https://api.example.com/cms/print/v2/ai/template';const options = { method: 'POST', headers: { 'API-Key': '<API-Key>', 'Token-User': '<Token-User>', 'Content-Type': 'application/json' }, body: '{"subpageId":1,"articles":[{}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.example.com/cms/print/v2/ai/template \ --header 'API-Key: <API-Key>' \ --header 'Content-Type: application/json' \ --header 'Token-User: <Token-User>' \ --data '{ "subpageId": 1, "articles": [ {} ] }'Starts a job that ranks the publication’s templates with a current profile against the planned articles. The result (GET /cms/job/{id}) has choice ({templateId, reason}) and ranking.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
subpageId
required
integer
articles
required
{id, position, lengths: role => chars, images}; titles are read from the CMS
Array<object>
object
Example generated
{ "subpageId": 1, "articles": [ {} ]}Responses
Section titled “Responses”The job id
AI helpers off, or no permission